Bug 1040453 (rubygem-rspec-longrun) - Review Request: rubygem-rspec-longrun - RSpec formatter for long-running specs
Summary: Review Request: rubygem-rspec-longrun - RSpec formatter for long-running specs
Keywords:
Status: CLOSED ERRATA
Alias: rubygem-rspec-longrun
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 13:09 UTC by Björn 'besser82' Esser
Modified: 2013-12-21 02:29 UTC (History)
2 users (show)

Fixed In Version: rubygem-rspec-longrun-0.1.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-21 02:27:59 UTC
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2013-12-11 13:09:18 UTC
Description:

  RSpec is a fine unit-testing framework, but is also handy for acceptance
  and integration tests.  But the default report formatters make it difficult
  to track progress of such long-running tests.

  The RSpec::Longrun::Formatter outputs the name of each test as it starts,
  rather than waiting until it passes or fails.  It also provides a mechanism
  for reporting on progress of a test while it is still executing.


Koji Builds:

  el5:  no build ---> missing dependencies
  el6:  no build ---> missing dependencies
  F18:  no build ---> missing dependencies, will be soon EOL
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6279723
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6279725
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6279727


Issues:

  fedora-review shows no obvious issues.  I cannot find anything problematic
  here, but some false positives from rpmlint:

  Rpmlint
  -------
  Checking: rubygem-rspec-longrun-0.1.2-1.fc21.noarch.rpm
            rubygem-rspec-longrun-0.1.2-1.fc21.src.rpm
  rubygem-rspec-longrun.noarch: W: spelling-error Summary(en_US) formatter
    -> formatted, for matter, for-matter
  rubygem-rspec-longrun.noarch: W: spelling-error %description -l en_US
    formatters -> for matters, for-matters, formatted
  rubygem-rspec-longrun.noarch: W: invalid-url URL:
    http://rubygems.org/gems/rspec-longrun HTTP Error 405: Not Allowed
  rubygem-rspec-longrun.src: W: spelling-error Summary(en_US) formatter
    -> formatted, for matter, for-matter
  rubygem-rspec-longrun.src: W: spelling-error %description -l en_US
    formatters -> for matters, for-matters, formatted
  rubygem-rspec-longrun.src: W: spelling-error %description -l en_US
    Formatter -> Formatted, For matter, For-matter
  rubygem-rspec-longrun.src: W: invalid-url URL:
    http://rubygems.org/gems/rspec-longrun HTTP Error 405: Not Allowed
  2 packages and 0 specfiles checked; 0 errors, 7 warnings.

  Rpmlint (installed packages)
  ----------------------------
  # rpmlint rubygem-rspec-longrun
  rubygem-rspec-longrun.noarch: W: spelling-error Summary(en_US) formatter
    -> formatted, for matter, for-matter
  rubygem-rspec-longrun.noarch: W: spelling-error %description -l en_US
    formatters -> for matters, for-matters, formatted
  rubygem-rspec-longrun.noarch: W: invalid-url URL:
    http://rubygems.org/gems/rspec-longrun HTTP Error 405: Not Allowed
  1 packages and 0 specfiles checked; 0 errors, 3 warnings.


FAS-User:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun.spec
  SRPM URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun-0.1.2-1.fc20.src.rpm


Additional Information:

 none


Thanks for review in advance!

Comment 1 Vít Ondruch 2013-12-11 14:02:01 UTC
I'll take this for a review.

Comment 2 Vít Ondruch 2013-12-11 14:56:18 UTC
* Bundler, Rake
  - We are typically trying to get rid of these (an usually quite successfully).

* Move documentation into -doc subpackage
  - Large documentation is usually good to split into -doc subpackage
  - You can move there also all files not needed for runtime, i.e. examples,
    spec, Gemfile, Rakefile

* Gem repack
  - Please go with 'gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec' as
    specified in guidelines. You will save yourself the 'git' kung-fu.
  - The upstream .gemspec, although provided, was never intended to be used for
    repackaging.

* %gem_install in EPEL6
  - Since RHEL 6.5, rubygems know how to use %gem_install macro. This applies
    also to rubygems-devel package (these two are related).

* URL:
  - The upstream url should be http://github.com/mdub/rspec-longrun if I am not
    wrong

Comment 3 Vít Ondruch 2013-12-11 15:02:51 UTC
And several more:

* ruby(abi) vs ruby(release)
  - R; ruby(release) have to be used since F19 and it should be non-versioned
    (unless there is some special need)
  - I would drop %{ruby_ver} macro and went with 1.8 instead. Using such macro
    was never recomended and I personally find its programatical determination
    a bit dangerous.

* s/Config/RbConfig/
  - Config was deprecated long time ago. RbConfig should be used instead.

Comment 4 Björn 'besser82' Esser 2013-12-11 17:12:37 UTC
Updated package:

  %changelog
  * Wed Dec 11 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-2
  - improvements as recommended in review by Vít Ondruch (vondruch)
    from comments #2 and #3  (#1040453)

  * Sun Dec 08 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-1
  - Initial rpm release (#1040453)


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun.spec
  SRPM URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun-0.1.2-2.fc20.src.rpm


(In reply to Vít Ondruch from comment #2)
> * Bundler, Rake
>   - We are typically trying to get rid of these (an usually quite
> successfully).

How would one usually accoplish this?!?  I'm actually new to Ruby stuff and need to learn about that  :(  In fact this is my 2nd rubygem-package.


> * Move documentation into -doc subpackage
>   - Large documentation is usually good to split into -doc subpackage
>   - You can move there also all files not needed for runtime, i.e. examples,
>     spec, Gemfile, Rakefile

done


> * Gem repack
>   - Please go with 'gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec' as
>     specified in guidelines. You will save yourself the 'git' kung-fu.
>   - The upstream .gemspec, although provided, was never intended to be used
>     for repackaging.

done


> * %gem_install in EPEL6
>   - Since RHEL 6.5, rubygems know how to use %gem_install macro. This applies
>     also to rubygems-devel package (these two are related).

done

 
> * URL:
>   - The upstream url should be http://github.com/mdub/rspec-longrun if I am
>     not wrong

replaced


(In reply to Vít Ondruch from comment #3)
> And several more:
> 
> * ruby(abi) vs ruby(release)
>   - R; ruby(release) have to be used since F19 and it should be non-versioned
>     (unless there is some special need)
>   - I would drop %{ruby_ver} macro and went with 1.8 instead. Using such
>     macro was never recomended and I personally find its programatical
>     determination a bit dangerous.

done


> * s/Config/RbConfig/
>   - Config was deprecated long time ago. RbConfig should be used instead.

replaced


Thanks for your comments and improvements Vít!  I hope you'll give this another run...

Comment 5 Björn 'besser82' Esser 2013-12-11 17:26:49 UTC
(In reply to Björn "besser82" Esser from comment #4)
> (In reply to Vít Ondruch from comment #2)
> > * Bundler, Rake
> >   - We are typically trying to get rid of these (an usually quite
> > successfully).
> 
> How would one usually accoplish this?!?  I'm actually new to Ruby stuff and
> need to learn about that  :(  In fact this is my 2nd rubygem-package.

Already figured out for this one.  :D  I just needed to replace

%check
rake

  with

%check
ruby	-S rspec spec/rspec/longrun/formatter_spec.rb			\
	--colour --format nested

and `YEAH!`, I could drop the BuildRequires on bundler and rake.  :)

Comment 6 Björn 'besser82' Esser 2013-12-11 17:30:21 UTC
Koji Builds for updated package:

  el5:  no build ---> missing dependencies
  el6:  no build ---> missing dependencies
  F18:  no build ---> missing dependencies, will be soon EOL
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6280734
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6280736
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6280738

Comment 7 Vít Ondruch 2013-12-12 09:59:15 UTC
(In reply to Björn "besser82" Esser from comment #5)
> (In reply to Björn "besser82" Esser from comment #4)
> > (In reply to Vít Ondruch from comment #2)
> > > * Bundler, Rake
> > >   - We are typically trying to get rid of these (an usually quite
> > > successfully).
> > 
> > How would one usually accoplish this?!?  I'm actually new to Ruby stuff and
> > need to learn about that  :(  In fact this is my 2nd rubygem-package.
> 
> Already figured out for this one.  :D  I just needed to replace
> 
> %check
> rake
> 
>   with
> 
> %check
> ruby	-S rspec spec/rspec/longrun/formatter_spec.rb			\
> 	--colour --format nested
> 
> and `YEAH!`, I could drop the BuildRequires on bundler and rake.  :)

That is one possibility, the easier one is:

rspec spec

The example is actually in guidelines ;) I also suggest to run the test suite on "build" gem, not the "expanded", i.e. surroudn the execution by "pushd .%{gem_instdir} ... popd"

Comment 8 Vít Ondruch 2013-12-12 10:21:03 UTC
And I have a few remarks:

* %{gem_cache}
  - For simplification, I would drop it on every OS. It is lightly mentioned
    just in old guidelines, which are currently aimed on EPEL5, but it makes
    (almost) no difference if the cache is kept or not.

* Shebang change
  - Although there is no difference in functionality, we are typically doing
    such changes in %install section.

The above remarks are just minor nits and otherwise the package looks sane => APPROVED.

Comment 9 Björn 'besser82' Esser 2013-12-12 10:35:05 UTC
Updated package:

  %changelog
  * Thu Dec 12 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-3
  - improvements as recommended in review by Vít Ondruch (vondruch)
    from comments #7 and #8 (#1040453)

  * Wed Dec 11 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-2
  - improvements as recommended in review by Vít Ondruch (vondruch)
    from comments #2 and #3  (#1040453)

  * Sun Dec 08 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-1
  - Initial rpm release (#1040453)


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun.spec
  SRPM URL: http://besser82.fedorapeople.org/review/rubygem-rspec-longrun-0.1.2-3.fc20.src.rpm


Koji Builds for updated package:

  el5:  no build ---> missing dependencies
  el6:  no build ---> missing dependencies
  F18:  no build ---> missing dependencies, will be soon EOL
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6283070
  F20:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6283074
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6283076


(In reply to Vít Ondruch from comment #7)
> That is one possibility, the easier one is:
> 
> rspec spec
> 
> The example is actually in guidelines ;) I also suggest to run the test
> suite on "build" gem, not the "expanded", i.e. surroudn the execution by
> "pushd .%{gem_instdir} ... popd"

Changed the %check-target accordingly.  Thanks for your proposal.


(In reply to Vít Ondruch from comment #8)
> And I have a few remarks:
> 
> * %{gem_cache}
>   - For simplification, I would drop it on every OS. It is lightly mentioned
>     just in old guidelines, which are currently aimed on EPEL5, but it makes
>     (almost) no difference if the cache is kept or not.

dropped on every OS.

 
> * Shebang change
>   - Although there is no difference in functionality, we are typically doing
>     such changes in %install section.

Thats a matter of preference, isn't it?  On most every other language's package I've seen so far this is done during %prep.  So I'll keep it this way.


> The above remarks are just minor nits and otherwise the package looks sane
> => APPROVED.

Many thanks for the review, Vít!


New Package SCM Request
=======================
Package Name: rubygem-rspec-longrun
Short Description: RSpec formatter for long-running specs
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:

Comment 10 Gwyn Ciesla 2013-12-12 13:41:57 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-12-12 14:29:05 UTC
rubygem-rspec-longrun-0.1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-rspec-longrun-0.1.2-3.fc19

Comment 12 Fedora Update System 2013-12-12 14:29:26 UTC
rubygem-rspec-longrun-0.1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-rspec-longrun-0.1.2-3.fc20

Comment 13 Fedora Update System 2013-12-12 16:32:42 UTC
rubygem-rspec-longrun-0.1.2-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2013-12-21 02:27:59 UTC
rubygem-rspec-longrun-0.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-12-21 02:29:34 UTC
rubygem-rspec-longrun-0.1.2-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.